Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmEntryDeposit.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmEntryDeposit.Designer.cs	(revision 186)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmEntryDeposit.Designer.cs	(revision 187)
@@ -95,7 +95,7 @@
             this.dgv1.RowHeadersDefaultCellStyle = dataGridViewCellStyle6;
             this.dgv1.RowHeadersVisible = false;
             this.dgv1.RowTemplate.Height = 21;
-            this.dgv1.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
+            this.dgv1.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
             this.dgv1.Size = new System.Drawing.Size(652, 172);
             this.dgv1.TabIndex = 9;
             this.dgv1.CellBeginEdit += new System.Windows.Forms.DataGridViewCellCancelEventHandler(this.dgv1_CellBeginEdit);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmEntryDeposit.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmEntryDeposit.cs	(revision 186)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmEntryDeposit.cs	(revision 187)
@@ -47,6 +47,7 @@
         private string oldCellValue = "";
 
         private List<DepositList> Dlist;
+        private bool isDirty = false;
 
         #endregion
 
@@ -365,7 +366,20 @@
             int trow = e.RowIndex;
 
             try
-            {
+            {                    
+
+                if(tcol == (int)DispColumn.depositAmountCash ||
+                   tcol == (int)DispColumn.depositAmountBill ||
+                   tcol == (int)DispColumn.depositDate)
+                {
+                    // 数字系の時はIMEモードをオフにする
+                    dgv1.ImeMode = System.Windows.Forms.ImeMode.Off;
+                }
+                else if (tcol == (int)DispColumn.note)
+                {
+                    // 備考欄のときはIMEモードをオンにする
+                    dgv1.ImeMode = System.Windows.Forms.ImeMode.Hiragana;
+                }
                 if ((tcol == (int)DispColumn.depositAmountCash) ||
                 (tcol == (int)DispColumn.depositAmountBill))
                 {
@@ -386,7 +400,6 @@
 
                     // 文字色は一律黒
                     dgv1[tcol, trow].Style.ForeColor = Color.Black;
-
                 }
                 dgv1.CellBeginEdit += dgv1_CellBeginEdit;
                 dgv1.CellValueChanged += dgv1_CellValueChanged;
@@ -551,10 +564,12 @@
                     if (seqno == Dlist.Count)
                     {
                         Dlist[e.RowIndex].AddEdit = 1;
+                        isDirty = true;
                     }
                     else
                     {
                         Dlist[e.RowIndex].AddEdit = 2;
+                        isDirty = true;
                     }
                 }
             }
@@ -928,6 +943,10 @@
         {
             try
             {
+                if (isDirty && MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？", "終了確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    return;
+                }
                 this.Close();
             }
             catch (Exception ex)
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs	(revision 186)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs	(revision 187)
@@ -55,6 +55,8 @@
             this.label2 = new System.Windows.Forms.Label();
             this.button1 = new System.Windows.Forms.Button();
             this.dgvMaster = new System.Windows.Forms.DataGridView();
+            this.Registration = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
             this.No = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.RequestMonth = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.RequestNo = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -83,8 +85,6 @@
             this.DepartmentCode = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.PersonName = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.NoteDD = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.Registration = new System.Windows.Forms.Button();
-            this.btnEnd = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
             this.SuspendLayout();
@@ -304,10 +304,39 @@
             this.dgvMaster.CellFormatting += new System.Windows.Forms.DataGridViewCellFormattingEventHandler(this.dgvMaster_CellFormatting);
             this.dgvMaster.CellValidating += new System.Windows.Forms.DataGridViewCellValidatingEventHandler(this.dgvMaster_CellValidating);
             // 
+            // Registration
+            // 
+            this.Registration.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.Registration.BackColor = System.Drawing.Color.GreenYellow;
+            this.Registration.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Registration.ForeColor = System.Drawing.Color.Black;
+            this.Registration.Location = new System.Drawing.Point(1161, 597);
+            this.Registration.Name = "Registration";
+            this.Registration.Size = new System.Drawing.Size(120, 30);
+            this.Registration.TabIndex = 6;
+            this.Registration.Text = "登　録";
+            this.Registration.UseVisualStyleBackColor = false;
+            this.Registration.Click += new System.EventHandler(this.Registration_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnEnd.BackColor = System.Drawing.Color.Magenta;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.Black;
+            this.btnEnd.Location = new System.Drawing.Point(1287, 597);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 7;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
             // No
             // 
             dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
             this.No.DefaultCellStyle = dataGridViewCellStyle2;
+            this.No.Frozen = true;
             this.No.HeaderText = "No.";
             this.No.Name = "No";
             this.No.ReadOnly = true;
@@ -352,9 +381,9 @@
             // 
             // OrderersName
             // 
+            this.OrderersName.Frozen = true;
             this.OrderersName.HeaderText = "請求先名/請求日";
             this.OrderersName.Name = "OrderersName";
-            this.OrderersName.ReadOnly = true;
             this.OrderersName.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.OrderersName.Width = 200;
             // 
@@ -368,6 +397,7 @@
             // 
             // ConstructionName
             // 
+            this.ConstructionName.Frozen = true;
             this.ConstructionName.HeaderText = "現場名";
             this.ConstructionName.Name = "ConstructionName";
             this.ConstructionName.ReadOnly = true;
@@ -570,34 +600,6 @@
             this.NoteDD.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.NoteDD.Width = 250;
             // 
-            // Registration
-            // 
-            this.Registration.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.Registration.BackColor = System.Drawing.Color.GreenYellow;
-            this.Registration.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Registration.ForeColor = System.Drawing.Color.Black;
-            this.Registration.Location = new System.Drawing.Point(1161, 597);
-            this.Registration.Name = "Registration";
-            this.Registration.Size = new System.Drawing.Size(120, 30);
-            this.Registration.TabIndex = 6;
-            this.Registration.Text = "登　録";
-            this.Registration.UseVisualStyleBackColor = false;
-            this.Registration.Click += new System.EventHandler(this.Registration_Click);
-            // 
-            // btnEnd
-            // 
-            this.btnEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnEnd.BackColor = System.Drawing.Color.Magenta;
-            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnEnd.ForeColor = System.Drawing.Color.Black;
-            this.btnEnd.Location = new System.Drawing.Point(1287, 597);
-            this.btnEnd.Name = "btnEnd";
-            this.btnEnd.Size = new System.Drawing.Size(120, 30);
-            this.btnEnd.TabIndex = 7;
-            this.btnEnd.Text = "終　了";
-            this.btnEnd.UseVisualStyleBackColor = false;
-            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
-            // 
             // FrmSelectPayment
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 15F);