Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 189)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 190)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 42;
+        public static int s_SystemVersion = 43;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs	(revision 189)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubConJobDiag.cs	(revision 190)
@@ -327,13 +327,12 @@
                 cmbJapaneseSyllabary.SelectedIndex = -1;
                 cmbLabour.SelectedIndex = -1;
 
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(" Where CompanyCode In (Select A1.CompanyCode From SUBCONTRACTORJOBLINK A1");
-                strSQL.AppendFormat("  Where A1.JobCategoryCode = {0})", CommonMotions.cnvInt(cmbJobType.SelectedValue));
-                strSQL.Append(" AND DELETEFLG = 0");
-                strSQL.Append(" Order By DisplayOrder");
+                string strSQL = " Where CompanyCode In (Select A1.CompanyCode From SUBCONTRACTORJOBLINK A1";
+                strSQL += string.Format("  Where A1.JobCategoryCode = {0})", CommonMotions.cnvInt(cmbJobType.SelectedValue));
+                strSQL += " AND DELETEFLG = 0";
+                strSQL += " Order By DisplayOrder";
                 // データ表示
-                DispMasterGridData(strSQL.ToString());
+                DispMasterGridData(strSQL);
             }
             catch (Exception ex)
             {
@@ -357,12 +356,11 @@
                 cmbJobType.SelectedIndex = -1;
                 cmbLabour.SelectedIndex = -1;
 
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.AppendFormat(" Where JapaneseSyllabary = '{0}'", cmbJapaneseSyllabary.SelectedValue);
-                strSQL.Append(" AND DELETEFLG = 0");
-                strSQL.Append(" Order By DisplayOrder");
+                string strSQL = " Where JapaneseSyllabary = '" + cmbJapaneseSyllabary.SelectedValue.ToString() + "'";
+                strSQL += " AND DELETEFLG = 0";
+                strSQL += " Order By DisplayOrder";
                 // データ表示
-                DispMasterGridData(strSQL.ToString());
+                DispMasterGridData(strSQL);
             }
             catch (Exception ex)
             {
@@ -386,12 +384,11 @@
                 cmbJapaneseSyllabary.SelectedIndex = -1;
                 cmbJobType.SelectedIndex = -1;
 
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.AppendFormat(" Where labourKind = {0}", cmbLabour.SelectedValue);
-                strSQL.Append(" AND DELETEFLG = 0");
-                strSQL.Append(" Order By DisplayOrder");
+                string strSQL = string.Format(" Where labourKind = {0}", cmbLabour.SelectedValue);
+                strSQL += " AND DELETEFLG = 0";
+                strSQL += " Order By DisplayOrder";
                 // データ表示
-                DispMasterGridData(strSQL.ToString());
+                DispMasterGridData(strSQL);
 
             }
             catch (Exception ex)
@@ -429,8 +426,9 @@
             try
             {
                 string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
-                InputSearchLogData isdList = new InputSearchLogData();
+                List<InputSearchLogData> isdList = new List<InputSearchLogData>();
                 if (!isdDB.SelectAction(strSQL, ref isdList)) return false;
+                if (isdList.Count == 0) return false;
 
                 return true;
             }
@@ -502,12 +500,9 @@
 
                 List<InputSearchLogData> isdList = new List<InputSearchLogData>();
                 // SQL作成
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.AppendFormat(" Where truncate(ConstructionCode / 100, 0) = {0}", CommonMotions.cnvTruncate((double)m_ConstructionCode / 100.0));
-                strSQL.AppendFormat(" And UsedProcessNo = {0}", m_UsedProcessNo);
-                strSQL.Append(" Group by InputCode");
-                strSQL.Append(" Order By DisplayOrder");
-                if (!isdDB.SelectAction(strSQL.ToString(), ref isdList)) return;
+                string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
+                strSQL += " Order By DisplayOrder";
+                if (!isdDB.SelectAction(strSQL, ref isdList)) return;
 
                 // 要素表示
                 int i = 0;
@@ -523,10 +518,9 @@
                     else
                     {
                         // 協力会社マスタ取得
-                        strSQL = new StringBuilder();
-                        strSQL.Append(sbcDB.CreatePrimarykeyString(wrk.InputCode));
-                        strSQL.Append(" AND DELETEFLG = 0");
-                        if (!sbcDB.SelectAction(strSQL.ToString(), ref sbcRec)) continue;
+                        strSQL = sbcDB.CreatePrimarykeyString(wrk.InputCode);
+                        strSQL += " AND DELETEFLG = 0";
+                        if (!sbcDB.SelectAction(strSQL, ref sbcRec)) continue;
                     }
                     int iRows = dgvHistory.Rows.Add(++i,
                                         sbcRec.CompanyCode,
@@ -571,11 +565,10 @@
                 }
 
                 // SQL作成
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(sbcDB.CreatePrimarykeyString(SubContractorCode));
-                strSQL.Append(" AND DELETEFLG = 0");
+                string strSQL = sbcDB.CreatePrimarykeyString(SubContractorCode);
+                strSQL += " AND DELETEFLG = 0";
                 // 協力会社マスタ取得
-                if (!sbcDB.SelectAction(strSQL.ToString(), ref DataRec)) return false;
+                if (!sbcDB.SelectAction(strSQL, ref DataRec)) return false;
 
                 return true;
             }
@@ -827,12 +820,11 @@
             try
             {
                 InputSearchLogData isdRec = new InputSearchLogData();
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo));
-                strSQL.AppendFormat(" And InputCode = {0}", SubconstructorCode);
+                string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
+                strSQL += string.Format(" And InputCode = {0}", SubconstructorCode);
                 
                 // データがあれば登録しない
-                if (isdDB.SelectAction(strSQL.ToString(), ref isdRec)) return true;
+                if (isdDB.SelectAction(strSQL, ref isdRec)) return true;
 
                 // 最大表示番号を取得する
                 string strMax = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 189)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmSubconstractorDiag.cs	(revision 190)
@@ -529,30 +529,27 @@
                 if (m_InitFlg) return;
 
                 // 工種検索条件取得
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(GetSqlFromCmbItemType());
-                if (strSQL.Length != 0) strSQL.AppendFormat("{0} {1}", s_SQLWHERE, strSQL.ToString());
+                string strSQL = GetSqlFromCmbItemType();
+                if (strSQL.Length != 0) strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL);
 
                 // 50音検索条件取得
-                StringBuilder SecondSQL = new StringBuilder();
-                SecondSQL.Append(GetSqlFromcmbJapaneseSyllabary());
-                if (SecondSQL.Length != 0) strSQL.AppendFormat(" {0} {1}", s_SQLAND, SecondSQL.ToString());
+                string SecondSQL = GetSqlFromcmbJapaneseSyllabary();
+                if (SecondSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, SecondSQL);
 
                 // 支払区分検索条件取得
-                StringBuilder ThirdSQL = new StringBuilder();
-                ThirdSQL.Append(GetSqlFromcmbLabour());
-                if (ThirdSQL.Length != 0) strSQL.AppendFormat("{0} {1}", s_SQLAND, ThirdSQL.ToString());
+                string ThirdSQL = GetSqlFromcmbLabour(); ;
+                if (ThirdSQL.Length != 0) strSQL += string.Format("{0} {1}", s_SQLAND, ThirdSQL);
 
-                strSQL.AppendFormat("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
+                strSQL += string.Format("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
 
                 // 文字列にWhereが無い場合は先頭をWhereに変更する
-                if (strSQL.ToString().IndexOf(s_SQLWHERE, 0) < 0)
+                if (strSQL.IndexOf(s_SQLWHERE, 0) < 0)
                 {
-                    strSQL.AppendFormat("{0} {1}", s_SQLWHERE, strSQL.ToString().Substring(s_SQLAND.Length + 1));
+                    strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL.Substring(s_SQLAND.Length + 1));
                 }
 
                 // データ表示
-                DispSubconstractorMasterGridData(strSQL.ToString());
+                DispSubconstractorMasterGridData(strSQL);
             }
             catch (Exception ex)
             {
@@ -666,30 +663,27 @@
                 if (m_InitFlg) return;
 
                 // 50音検索条件取得
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(GetSqlFromcmbJapaneseSyllabary());
-                if (strSQL.Length != 0) strSQL.AppendFormat("{0} {1}", s_SQLWHERE, strSQL);
+                string strSQL = GetSqlFromcmbJapaneseSyllabary();
+                if (strSQL.Length != 0) strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL);
 
                 // 工種検索条件取得
-                StringBuilder SecondSQL = new StringBuilder();
-                SecondSQL.Append(GetSqlFromCmbItemType());
-                if (SecondSQL.Length != 0) strSQL.AppendFormat(" {0} {1}", s_SQLAND, SecondSQL.ToString());
+                string SecondSQL = GetSqlFromCmbItemType();
+                if (SecondSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, SecondSQL);
 
                 // 支払区分検索条件取得
-                StringBuilder ThirdSQL = new StringBuilder();
-                ThirdSQL.Append(GetSqlFromcmbLabour());
-                if (ThirdSQL.Length != 0) strSQL.AppendFormat(" {0} {1}", s_SQLAND, ThirdSQL.ToString());
+                string ThirdSQL = GetSqlFromcmbLabour(); ;
+                if (ThirdSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, ThirdSQL);
 
-                strSQL.AppendFormat("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
+                strSQL += string.Format("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
 
                 // 文字列にWhereが無い場合は先頭をWhereに変更する
-                if (strSQL.ToString().IndexOf(s_SQLWHERE, 0) < 0)
+                if (strSQL.IndexOf(s_SQLWHERE, 0) < 0)
                 {
-                    strSQL.AppendFormat("{0} {1}", s_SQLWHERE, strSQL.ToString().Substring(s_SQLAND.Length + 1));
+                    strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL.Substring(s_SQLAND.Length + 1));
                 }
 
                 // データ表示
-                DispSubconstractorMasterGridData(strSQL.ToString());
+                DispSubconstractorMasterGridData(strSQL);
             }
             catch (Exception ex)
             {
@@ -877,12 +871,9 @@
 
                 List<InputSearchLogData> isdList = new List<InputSearchLogData>();
                 // SQL作成
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.AppendFormat(" Where truncate(ConstructionCode / 100, 0) = {0}", CommonMotions.cnvTruncate((double)m_ConstructionCode / 100.0));
-                strSQL.AppendFormat(" And UsedProcessNo = {0}", m_UsedProcessNo);
-                strSQL.Append(" Group by InputCode");
-                strSQL.Append(" Order By DisplayOrder");
-                if (!isdDB.SelectAction(strSQL.ToString(), ref isdList)) return;
+                string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
+                strSQL += " Order By DisplayOrder";
+                if (!isdDB.SelectAction(strSQL, ref isdList)) return;
 
                 // 要素表示
                 int i = 0;
@@ -934,7 +925,7 @@
             IOMPersonInCharge personDB = new IOMPersonInCharge();
             try
             {
-                StringBuilder strSQL = new StringBuilder();
+                string strSQL = string.Empty;
                 if (DataType == (int)CommonDefine.CodeDataType.FixCode)
                 {
                     // 自社の場合
@@ -953,18 +944,18 @@
                 else if (DataType == (int)CommonDefine.CodeDataType.Subconstractor)
                 {
                     // SQL作成
-                    strSQL.Append(sbcDB.CreatePrimarykeyString(SubContractorCode));
+                    strSQL = sbcDB.CreatePrimarykeyString(SubContractorCode);
                     // 工種マスタ取得
-                    if (!sbcDB.SelectAction(strSQL.ToString(), ref DataRec)) return false;
+                    if (!sbcDB.SelectAction(strSQL, ref DataRec)) return false;
                 }
                 else if (DataType == (int)CommonDefine.CodeDataType.Person)
                 {
                     PersonInChargeMaster personRec = new PersonInChargeMaster();
                     // SQL作成
-                    strSQL.Append(personDB.CreatePrimarykeyString(SubContractorCode));
-                    strSQL.AppendFormat(" AND EmployeeClassFlg = {0} And DeleteFlg = 0", (int)CommonDefine.EmployeeClassFlg.OutSource);
+                    strSQL = personDB.CreatePrimarykeyString(SubContractorCode);
+                    strSQL += string.Format(" AND EmployeeClassFlg = {0} And DeleteFlg = 0", (int)CommonDefine.EmployeeClassFlg.OutSource);
                     // 担当者マスタ取得
-                    if (!personDB.SelectAction(strSQL.ToString(), ref personRec)) return false;
+                    if (!personDB.SelectAction(strSQL, ref personRec)) return false;
                     DataRec.CompanyCode = personRec.PersonCode;
                     DataRec.CompanyName = personRec.PersonName;
                 }
@@ -1191,12 +1182,11 @@
                 }
                 
                 InputSearchLogData isdRec = new InputSearchLogData();
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo));
-                strSQL.AppendFormat(" And InputCode = {0}", SubconstructorCode);
+                string strSQL = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
+                strSQL += string.Format(" And InputCode = {0}", SubconstructorCode);
                 
                 // データがあれば登録しない
-                if (isdDB.SelectAction(strSQL.ToString(), ref isdRec)) return true;
+                if (isdDB.SelectAction(strSQL, ref isdRec)) return true;
 
                 // 最大表示番号を取得する
                 string strMax = isdDB.CreatePrimarykeyString(m_ConstructionCode, m_UsedProcessNo);
@@ -1272,29 +1262,26 @@
         private string CreateSQL()
         {
             // 支払区分検索条件取得
-            StringBuilder strSQL = new StringBuilder();
-            strSQL.Append(GetSqlFromcmbLabour());
-            if (strSQL.Length != 0) strSQL.AppendFormat("{0} {1}", s_SQLWHERE, strSQL.ToString());
+            string strSQL = GetSqlFromcmbLabour();
+            if (strSQL.Length != 0) strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL);
 
             // 工種検索条件取得
-            StringBuilder SecondSQL = new StringBuilder();
-            SecondSQL.Append(GetSqlFromCmbItemType());
-            if (SecondSQL.Length != 0) strSQL.AppendFormat(" {0} {1}", s_SQLAND, SecondSQL.ToString());
+            string SecondSQL = GetSqlFromCmbItemType();
+            if (SecondSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, SecondSQL);
 
             // 50音検索条件取得
-            StringBuilder ThirdSQL = new StringBuilder();
-            ThirdSQL.Append(GetSqlFromcmbJapaneseSyllabary());
-            if (ThirdSQL.Length != 0) strSQL.AppendFormat(" {0} {1}", s_SQLAND, ThirdSQL.ToString());
+            string ThirdSQL = GetSqlFromcmbJapaneseSyllabary(); ;
+            if (ThirdSQL.Length != 0) strSQL += string.Format(" {0} {1}", s_SQLAND, ThirdSQL);
 
-            strSQL.AppendFormat("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
+            strSQL += string.Format("{0} DeleteFlg = 0 Order By DisplayOrder ASC", s_SQLAND);
 
             // 文字列にWhereが無い場合は先頭をWhereに変更する
-            if (strSQL.ToString().IndexOf(s_SQLWHERE, 0) < 0)
+            if (strSQL.IndexOf(s_SQLWHERE, 0) < 0)
             {
-                strSQL.AppendFormat("{0} {1}", s_SQLWHERE, strSQL.ToString().Substring(s_SQLAND.Length + 1));
+                strSQL = string.Format("{0} {1}", s_SQLWHERE, strSQL.Substring(s_SQLAND.Length + 1));
             }
 
-            return strSQL.ToString();
+            return strSQL;
         }
 
         #endregion
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 189)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 190)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.0.42")]
-[assembly: AssemblyFileVersion("1.0.0.42")]
+[assembly: AssemblyVersion("1.0.0.43")]
+[assembly: AssemblyFileVersion("1.0.0.43")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file