Index: branches/ddl/CreateBilling/CreateBilling/CreateBilling.csproj
===================================================================
--- branches/ddl/CreateBilling/CreateBilling/CreateBilling.csproj	(revision 261)
+++ branches/ddl/CreateBilling/CreateBilling/CreateBilling.csproj	(revision 262)
@@ -667,9 +667,6 @@
     <Compile Include="..\..\ProcessManagement\ProcessManagement\DB\IOAccess\IOPersonApprovalCommnet.cs">
       <Link>DB\IOAccess\IOPersonApprovalCommnet.cs</Link>
     </Compile>
-    <Compile Include="..\..\ProcessManagement\ProcessManagement\DB\IOAccess\IOPointingOutComment.cs">
-      <Link>DB\IOAccess\IOPointingOutComment.cs</Link>
-    </Compile>
     <Compile Include="..\..\ProcessManagement\ProcessManagement\DB\IOAccess\IOProceedingsData.cs">
       <Link>DB\IOAccess\IOProceedingsData.cs</Link>
     </Compile>
Index: branches/ddl/CreateBilling/CreateBilling/CreateBillingDataAux.cs
===================================================================
--- branches/ddl/CreateBilling/CreateBilling/CreateBillingDataAux.cs	(revision 261)
+++ branches/ddl/CreateBilling/CreateBilling/CreateBillingDataAux.cs	(revision 262)
@@ -209,7 +209,7 @@
                 // strRet.Append(" A.ConstructionPeriod = 16");
                 // strRet.Append(" AND B.ConstructionCode = A.ConstructionCode");
                 strRet.Append(" B.ConstructionCode = A.ConstructionCode");
-                strRet.Append(" AND B.GroupCount = 14");
+                strRet.AppendFormat(" AND B.GroupCount = {0}", (int)DataGroup.BillingAmount);
                 strRet.Append(" AND C.ConstructionCode = A.ConstructionCode");
                 strRet.Append(" AND D.ConstructionCode = A.ConstructionCode");
                 strRet.AppendFormat(" AND D.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
Index: branches/ddl/CreateBilling/CreateBilling/FrmCreateBillingData.cs
===================================================================
--- branches/ddl/CreateBilling/CreateBilling/FrmCreateBillingData.cs	(revision 261)
+++ branches/ddl/CreateBilling/CreateBilling/FrmCreateBillingData.cs	(revision 262)
@@ -39,8 +39,81 @@
         private static int m_DefColumn = Enum.GetNames(typeof(IOConstructionLedgerExcute.TableColumn)).Length;
         #endregion
 
+        #region データグループ
+        /// <summary>
+        /// データグループ
+        /// </summary>
+        public enum DataGroup
+        {
+            /// <summary>
+            /// 0:空白
+            /// </summary>
+            Empty = 0,
+            /// <summary>
+            /// 1:経費
+            /// </summary>
+            Expenses,
+            /// <summary>
+            /// 2:施工費
+            /// </summary>
+            ConstructionCosts,
+            /// <summary>
+            /// 3:交通費（通行料・電車代）
+            /// </summary>
+            TransportationCosts,
+            /// <summary>
+            /// 4:購入品
+            /// </summary>
+            PurchaseCosts,
+            /// <summary>
+            /// 5:車両リース代
+            /// </summary>
+            VehicleLeaseFee,
+            /// <summary>
+            /// 6:駐車場・資材置き場
+            /// </summary>
+            ParkingCosts,
+            /// <summary>
+            /// 7:宿泊費
+            /// </summary>
+            RoomChargeCosts,
+            /// <summary>
+            /// 8:処分費等
+            /// </summary>
+            DisposeCosts,
+            /// <summary>
+            /// 9:指導員給料行
+            /// </summary>
+            Instructor,
+            /// <summary>
+            /// 10:副担当者給料行
+            /// </summary>
+            Assistant,
+            /// <summary>
+            /// 11:担当者給料行
+            /// </summary>
+            Payroll,
+            /// <summary>
+            /// 12:純利益
+            /// </summary>
+            NetIncome,
+            /// <summary>
+            /// 13:合計金額
+            /// </summary>
+            AllTotal,
+            /// <summary>
+            /// 14:請求金額
+            /// </summary>
+            BillingAmount,
+            /// <summary>
+            /// 15:現在利益金額
+            /// </summary>
+            CurrentProfit,
+        }
         #endregion
 
+        #endregion
+
         #region 変数
         /// <summary>
         /// 増減工事リスト