Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 265)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 266)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 75;
+        public static int s_SystemVersion = 76;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/MaterialRecordInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/MaterialRecordInfo.cs	(revision 265)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/MaterialRecordInfo.cs	(revision 266)
@@ -8,6 +8,31 @@
 {
     public class MaterialRecordInfo
     {
+        #region レコード区分
+        /// <summary>
+        /// レコード区分定義
+        /// </summary>
+        public enum RecKindDef
+        {
+            /// <summary>
+            /// 0：貸出
+            /// </summary>
+            Rental = 0,
+            /// <summary>
+            /// 1：返却
+            /// </summary>
+            Return,
+            /// <summary>
+            /// 2：追加
+            /// </summary>
+            AddTo,
+            /// <summary>
+            /// 3：破棄
+            /// </summary>
+            Discard,
+        }
+        #endregion
+
         #region メンバ変数
         private int m_MaterialItemCode = 0;	            // キー項目
         private DateTime m_ProcessDate = DateTime.Now;  // キー項目２　処理日
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 265)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 266)
@@ -53,6 +53,7 @@
             MaterialItemCode,
             MaterialItemName,
             MaterialItemDisplayOrder,
+            RepayPlanDate,
             RentCount,
             RepayCount,
             MaterialCount,
@@ -62,7 +63,10 @@
         }
         #endregion
 
-        #region 表示カラム
+        #region データ取得カラム
+        /// <summary>
+        /// データ取得カラム
+        /// </summary>
         private enum DataColumn
         {
             MaterialKindCode = 0,
@@ -76,6 +80,7 @@
             MaterialCount,
             CommentText,
             CompleteFlg,
+            RepayPlanDate,
         }
         #endregion
 
@@ -957,9 +962,9 @@
         }
         #endregion
 
-        #region 単位マスタ表示
+        #region データ表示
         /// <summary>
-        /// 単位マスタ表示
+        ///データ表示
         /// </summary>
         /// <returns></returns>
         private bool DispGridData()
@@ -985,12 +990,20 @@
                 sql.AppendLine("        ,ifnull(Mri.MaterialCount,0) as MaterialCount ");
                 sql.AppendLine("        ,ifnull(Mri.CommentText,'') as CommentText ");
                 sql.AppendLine("        ,Cmi.CompleteFlg ");
+                sql.AppendLine("        ,ifnull(DATE_FORMAT(RentMri.RepayPlanDate, '%Y/%m/%d'),'') as RepayPlanDate ");
+
                 sql.AppendLine(" from ConstructionMaterialInfo as Cmi");
+
+                sql.AppendLine(" left join MaterialRecordInfo as RentMri");
+                sql.AppendLine(" on Cmi.CONSTRUCTIONCODE = RentMri.CONSTRUCTIONCODE");
+                sql.AppendLine(" and Cmi.MATERIALITEMCODE = RentMri.MATERIALITEMCODE");
+                sql.AppendFormat(" and RentMri.RECKIND = {0}", (int)MaterialRecordInfo.RecKindDef.Rental);
+                
                 sql.AppendLine(" left join MaterialRecordInfo as Mri");
                 sql.AppendLine(" on Cmi.CONSTRUCTIONCODE = Mri.CONSTRUCTIONCODE");
                 sql.AppendLine(" and Cmi.MATERIALITEMCODE = Mri.MATERIALITEMCODE");
-                sql.AppendLine(" and Mri.RECKIND = 1");
-                sql.AppendFormat(" and ProcessDate = DATE_FORMAT('{0}','%Y/%m/%d') ", lblRepaydate.Text);
+                sql.AppendFormat(" and RentMri.RECKIND = {0}", (int)MaterialRecordInfo.RecKindDef.Return);
+                //sql.AppendFormat(" and ProcessDate = DATE_FORMAT('{0}','%Y/%m/%d') ", lblRepaydate.Text);
 
                 //sql.AppendFormat(" from ConstructionMaterialInfo as Cmi left join MaterialRecordInfo as Mri on Cmi.CONSTRUCTIONCODE = Mri.CONSTRUCTIONCODE and Cmi.MATERIALITEMCODE = Mri.MATERIALITEMCODE and Mri.RECKIND = 1 and ProcessDate = DATE_FORMAT('{0}','%Y/%m/%d') ", lblRepaydate.Text);
 
@@ -1008,8 +1021,11 @@
                 // データ表示
                 int icnt = 0;
                 bool CompleteFlg = false;
+                DateTime dtWork = DateTime.MinValue;
                 foreach (object[] work in arData)
                 {
+                    if (CommonMotions.cnvInt(work[(int)DataColumn.RENTCOUNT]) <= CommonMotions.cnvInt(work[(int)DataColumn.REPAYCOUNT])) continue;
+                    
                     dgvMaster.Rows.Add();
 
                     string chkString = CommonMotions.cnvString(work[(int)DataColumn.MaterialKindName]);
@@ -1035,6 +1051,20 @@
                     dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialCountBefore].Value = CommonMotions.cnvInt(work[(int)DataColumn.MaterialCount]);
                     dgvMaster.Rows[icnt].Cells[(int)DispColumn.CommentText].Value = CommonMotions.cnvString(work[(int)DataColumn.CommentText]);
 
+                    dgvMaster.Rows[icnt].Cells[(int)DispColumn.RepayPlanDate].Value = CommonMotions.cnvString(work[(int)DataColumn.RepayPlanDate]);
+                    if (CommonMotions.cnvString(work[(int)DataColumn.RepayPlanDate]).Length > 0)
+                    {
+                        dtWork = CommonMotions.cnvDate(work[(int)DataColumn.RepayPlanDate]);
+                        if (dtWork.Date == DateTime.Now.Date)
+                        {
+                            dgvMaster.Rows[icnt].Cells[(int)DispColumn.RepayPlanDate].Style.BackColor = Color.SkyBlue;
+                        }
+                        else if (dtWork.Date < DateTime.Now.Date)
+                        {
+                            dgvMaster.Rows[icnt].Cells[(int)DispColumn.RepayPlanDate].Style.BackColor = Color.Red;
+                        }
+                    }
+
                     if (CommonMotions.cnvInt(work[(int)DataColumn.CompleteFlg]) == 0)
                     {
                         dgvMaster.Rows[icnt].Cells[(int)DispColumn.MaterialDumpCount].Value = 0;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 265)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 266)
@@ -30,14 +30,14 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle25 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle32 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle26 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle27 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle28 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle29 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle30 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle31 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label1 = new System.Windows.Forms.Label();
             this.label2 = new System.Windows.Forms.Label();
             this.label3 = new System.Windows.Forms.Label();
@@ -58,6 +58,7 @@
             this.Column10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column14 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -143,7 +144,7 @@
             // 
             this.btnEnd.BackColor = System.Drawing.Color.Blue;
             this.btnEnd.ForeColor = System.Drawing.Color.White;
-            this.btnEnd.Location = new System.Drawing.Point(1032, 386);
+            this.btnEnd.Location = new System.Drawing.Point(1138, 386);
             this.btnEnd.Name = "btnEnd";
             this.btnEnd.Size = new System.Drawing.Size(120, 30);
             this.btnEnd.TabIndex = 10;
@@ -155,7 +156,7 @@
             // 
             this.btnDataEntry.BackColor = System.Drawing.Color.Green;
             this.btnDataEntry.ForeColor = System.Drawing.Color.White;
-            this.btnDataEntry.Location = new System.Drawing.Point(906, 386);
+            this.btnDataEntry.Location = new System.Drawing.Point(1012, 386);
             this.btnDataEntry.Name = "btnDataEntry";
             this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
             this.btnDataEntry.TabIndex = 9;
@@ -193,7 +194,7 @@
             this.groupBoxEx1.Controls.Add(this.dgvMaster);
             this.groupBoxEx1.Location = new System.Drawing.Point(8, 107);
             this.groupBoxEx1.Name = "groupBoxEx1";
-            this.groupBoxEx1.Size = new System.Drawing.Size(1150, 273);
+            this.groupBoxEx1.Size = new System.Drawing.Size(1250, 273);
             this.groupBoxEx1.TabIndex = 7;
             this.groupBoxEx1.TabStop = false;
             // 
@@ -218,14 +219,14 @@
             this.dgvMaster.AutoSizeRowsMode = System.Windows.Forms.DataGridViewAutoSizeRowsMode.DisplayedCellsExceptHeaders;
             this.dgvMaster.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
             this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle25.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle25.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle25.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle25.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle25.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle25.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle25.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle25;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
             this.dgvMaster.ColumnHeadersHeight = 27;
             this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.Column1,
@@ -235,6 +236,7 @@
             this.Column10,
             this.Column3,
             this.Column11,
+            this.Column14,
             this.Column4,
             this.Column5,
             this.Column6,
@@ -244,26 +246,26 @@
             this.dgvMaster.Location = new System.Drawing.Point(6, 6);
             this.dgvMaster.MultiSelect = false;
             this.dgvMaster.Name = "dgvMaster";
-            dataGridViewCellStyle32.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle32.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle32.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle32.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle32.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle32.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle32.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle32;
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle8.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle8.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle8.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle8.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle8.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle8.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle8;
             this.dgvMaster.RowHeadersVisible = false;
             this.dgvMaster.RowHeadersWidth = 24;
             this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
-            this.dgvMaster.Size = new System.Drawing.Size(1137, 229);
+            this.dgvMaster.Size = new System.Drawing.Size(1237, 229);
             this.dgvMaster.TabIndex = 0;
             this.dgvMaster.CellValueChanged += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellValueChanged);
             // 
             // Column1
             // 
-            dataGridViewCellStyle26.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle26.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle26;
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
             this.Column1.HeaderText = "№";
             this.Column1.Name = "Column1";
             this.Column1.ReadOnly = true;
@@ -279,9 +281,9 @@
             // 
             // Column2
             // 
-            dataGridViewCellStyle27.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle27.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Column2.DefaultCellStyle = dataGridViewCellStyle27;
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column2.DefaultCellStyle = dataGridViewCellStyle3;
             this.Column2.HeaderText = "種類";
             this.Column2.Name = "Column2";
             this.Column2.ReadOnly = true;
@@ -315,12 +317,20 @@
             this.Column11.Name = "Column11";
             this.Column11.Visible = false;
             // 
+            // Column14
+            // 
+            this.Column14.HeaderText = "返却予定日";
+            this.Column14.Name = "Column14";
+            this.Column14.ReadOnly = true;
+            this.Column14.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column14.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            // 
             // Column4
             // 
-            dataGridViewCellStyle28.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle28.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle28.Format = "#,0";
-            this.Column4.DefaultCellStyle = dataGridViewCellStyle28;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle4.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle4.Format = "#,0";
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle4;
             this.Column4.HeaderText = "貸出数";
             this.Column4.Name = "Column4";
             this.Column4.ReadOnly = true;
@@ -329,10 +339,10 @@
             // 
             // Column5
             // 
-            dataGridViewCellStyle29.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle29.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle29.Format = "#,0";
-            this.Column5.DefaultCellStyle = dataGridViewCellStyle29;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle5.Format = "#,0";
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle5;
             this.Column5.HeaderText = "返却済";
             this.Column5.Name = "Column5";
             this.Column5.ReadOnly = true;
@@ -341,9 +351,9 @@
             // 
             // Column6
             // 
-            dataGridViewCellStyle30.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle30.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Column6.DefaultCellStyle = dataGridViewCellStyle30;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle6.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column6.DefaultCellStyle = dataGridViewCellStyle6;
             this.Column6.HeaderText = "返却数";
             this.Column6.Name = "Column6";
             this.Column6.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -351,9 +361,9 @@
             // 
             // Column13
             // 
-            dataGridViewCellStyle31.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle31.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Column13.DefaultCellStyle = dataGridViewCellStyle31;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle7.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column13.DefaultCellStyle = dataGridViewCellStyle7;
             this.Column13.HeaderText = "破棄数";
             this.Column13.Name = "Column13";
             this.Column13.Resizable = System.Windows.Forms.DataGridViewTriState.False;
@@ -378,7 +388,7 @@
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.Black;
-            this.ClientSize = new System.Drawing.Size(1166, 423);
+            this.ClientSize = new System.Drawing.Size(1266, 423);
             this.Controls.Add(this.groupBoxEx1);
             this.Controls.Add(this.button3);
             this.Controls.Add(this.lblRepaydate);
@@ -429,6 +439,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column10;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column11;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column14;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.resx
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.resx	(revision 265)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.resx	(revision 266)
@@ -138,6 +138,9 @@
   <metadata name="Column11.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
+  <metadata name="Column14.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>True</value>
+  </metadata>
   <metadata name="Column13.UserAddedColumn" type="System.Boolean, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
     <value>True</value>
   </metadata>
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 265)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 266)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.0.75")]
-[assembly: AssemblyFileVersion("1.0.0.75")]
+[assembly: AssemblyVersion("1.0.0.76")]
+[assembly: AssemblyFileVersion("1.0.0.76")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file