Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 277)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 278)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 86;
+        public static int s_SystemVersion = 87;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs	(revision 277)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMateRetEntAux.cs	(revision 278)
@@ -498,27 +498,29 @@
                 sql.AppendLine(" , Cmi.JUNKCOUNT");
                 sql.AppendLine(" , ifnull(Mri.CommentText, '') as CommentText");
                 sql.AppendLine(" , Cmi.CompleteFlg");
-                sql.AppendLine(" , ifnull(DATE_FORMAT(Mri.RepayPlanDate, '%Y/%m/%d'), '') as RepayPlanDate");
-                sql.AppendLine(" , DATE_FORMAT(Cmi.ProcessDate, '%Y/%m/%d')");
+                sql.AppendLine(" , DATE_FORMAT(Mri.RepayPlanDate, '%Y/%m/%d') as RepayPlanDate");
+                sql.AppendLine(" , DATE_FORMAT(Cmi.ProcessDate, '%Y/%m/%d') as ProcessDate");
                 sql.AppendLine(" , Mri.RECKIND");
 
                 sql.AppendLine(" from");
                 sql.AppendLine("   ConstructionMaterialInfo as Cmi");
-                sql.AppendLine("   , MaterialRecordInfo as Mri");
-
                 sql.AppendLine("   left join (");
                 sql.AppendLine("    MaterialItemMaster as Mim");
                 sql.AppendLine("      left join MaterialKindMaster as Mkm");
                 sql.AppendLine("        on Mim.MaterialKindCode = Mkm.MaterialKindCode");
-                sql.AppendLine("   ) on Mri.MATERIALITEMCODE = Mim.MaterialItemCode");
+                sql.AppendLine("   ) on Mim.MATERIALITEMCODE = Cmi.MaterialItemCode");
+                sql.AppendLine("   , MaterialRecordInfo as Mri");
 
                 sql.AppendFormat(" where Cmi.ConstructionCode = {0} ", ConstructionCode);
-                sql.AppendLine(" And Cmi.CONSTRUCTIONCODE = Mri.CONSTRUCTIONCODE");
-                sql.AppendLine(" And Cmi.MATERIALITEMCODE = Mri.MATERIALITEMCODE");
+                sql.AppendLine(" And Mri.CONSTRUCTIONCODE = Cmi.CONSTRUCTIONCODE");
+                sql.AppendLine(" And Mri.MATERIALITEMCODE = Cmi.MATERIALITEMCODE");
+                sql.AppendLine(" And DATE(Mri.ENTRYDATE) = DATE(Cmi.PROCESSDATE)");
+                sql.AppendFormat(" And Mri.RECKIND = {0}", (int)MaterialRecordInfo.RecKindDef.Rental);
+
                 sql.AppendLine(" order by");
                 sql.AppendLine("   Mkm.DisplayOrder");
                 sql.AppendLine("   , Mim.DisplayOrder ");
-                sql.AppendLine("   , RECKIND"); 
+                sql.AppendLine("   , ProcessDate"); 
 
                 // データ取得
                 if (!IoCmi.ExecuteReader(sql.ToString(), ref arData)) return false;
@@ -530,6 +532,8 @@
                 object[] obiSumRec = new object[Enum.GetNames(typeof(DispColumn)).Length];
                 int[] BreakKey = new int[2];
                 int[] ReadDataKey = new int[2];
+                DateTime dtReadRentProcessDate = DateTime.MinValue;
+                DateTime dtBreakRentProcessDate = DateTime.MinValue;
                 bool bFirst = true;
                 int[] nCalcWrk = new int[4];
                 int nCompCnt = 0;
@@ -538,9 +542,14 @@
 
                     ReadDataKey[0] = CommonMotions.cnvInt(work[(int)DataColumn.MaterialKindCode]);
                     ReadDataKey[1] = CommonMotions.cnvInt(work[(int)DataColumn.MaterialItemCode]);
+                    dtReadRentProcessDate = CommonMotions.cnvDate(work[(int)DataColumn.RentProcessDate]).Date;
 
+                    if (ReadDataKey[1] == 107)
+                    {
+                        Debug.WriteLine("");
+                    }
                     // 種類・品目が違えば表示
-                    if (BreakKey[0] == ReadDataKey[0] && BreakKey[1] == ReadDataKey[1])
+                    if (BreakKey[0] == ReadDataKey[0] && BreakKey[1] == ReadDataKey[1] && dtBreakRentProcessDate == dtReadRentProcessDate)
                     {
 
                     }
@@ -557,6 +566,7 @@
                         // キーセット
                         BreakKey[0] = ReadDataKey[0];
                         BreakKey[1] = ReadDataKey[1];
+                        dtBreakRentProcessDate = dtReadRentProcessDate;
                         bFirst = false;
                     }
 
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 277)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 278)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.0.86")]
-[assembly: AssemblyFileVersion("1.0.0.86")]
+[assembly: AssemblyVersion("1.0.0.87")]
+[assembly: AssemblyFileVersion("1.0.0.87")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file