Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 285)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 286)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 95;
+        public static int s_SystemVersion = 97;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 285)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 286)
@@ -400,7 +400,7 @@
                         if (DataRec.PersonCode != MasterRec.ApprovalPerson) continue;
 
                         // 最終承認権限が設定されていれば承認済み
-                        if (MasterRec.ApprovalAuthority == 1)
+                        if (MasterRec.ApprovalAuthority == (int)ApprovalMaster.ApprovalAuthorityDef.LastApproval)
                         {
                             bApproval = true;
                             break;
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/ApprovalMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/ApprovalMaster.cs	(revision 285)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/ApprovalMaster.cs	(revision 286)
@@ -10,6 +10,25 @@
     /// </summary>
     public class ApprovalMaster
     {
+        #region 定数
+        #region 承認権限区分
+        /// <summary>
+        /// 承認権限区分
+        /// </summary>
+        public enum ApprovalAuthorityDef
+        {
+            /// <summary>
+            /// 0:通常承認者
+            /// </summary>
+            Normal = 0,
+            /// <summary>
+            /// 最終承認者
+            /// </summary>
+            LastApproval,
+        }
+        #endregion
+        #endregion
+
         #region メンバ変数
         /// <summary>
         /// 承認機能番号
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstractionList/FrmConstructionList.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstractionList/FrmConstructionList.designer.cs	(revision 285)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstractionList/FrmConstructionList.designer.cs	(revision 286)
@@ -71,9 +71,14 @@
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.pnlExample1 = new System.Windows.Forms.Panel();
+            this.lblEstimateType03 = new System.Windows.Forms.Label();
+            this.lblEstimateType02 = new System.Windows.Forms.Label();
+            this.lblEstimateType01 = new System.Windows.Forms.Label();
             this.groupBox1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.numUDConstPro)).BeginInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
+            this.pnlExample1.SuspendLayout();
             this.SuspendLayout();
             // 
             // btnDataEntry
@@ -159,7 +164,7 @@
             this.ProgressBar.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
             this.ProgressBar.Location = new System.Drawing.Point(10, 619);
             this.ProgressBar.Name = "ProgressBar";
-            this.ProgressBar.Size = new System.Drawing.Size(388, 30);
+            this.ProgressBar.Size = new System.Drawing.Size(400, 30);
             this.ProgressBar.TabIndex = 31;
             this.ProgressBar.Visible = false;
             // 
@@ -499,6 +504,55 @@
             this.Column11.Visible = false;
             this.Column11.Width = 5;
             // 
+            // pnlExample1
+            // 
+            this.pnlExample1.BackColor = System.Drawing.Color.White;
+            this.pnlExample1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.pnlExample1.Controls.Add(this.lblEstimateType03);
+            this.pnlExample1.Controls.Add(this.lblEstimateType02);
+            this.pnlExample1.Controls.Add(this.lblEstimateType01);
+            this.pnlExample1.Location = new System.Drawing.Point(10, 617);
+            this.pnlExample1.Name = "pnlExample1";
+            this.pnlExample1.Size = new System.Drawing.Size(400, 34);
+            this.pnlExample1.TabIndex = 32;
+            this.pnlExample1.Visible = false;
+            // 
+            // lblEstimateType03
+            // 
+            this.lblEstimateType03.BackColor = System.Drawing.Color.YellowGreen;
+            this.lblEstimateType03.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblEstimateType03.ForeColor = System.Drawing.Color.DarkRed;
+            this.lblEstimateType03.Location = new System.Drawing.Point(262, 7);
+            this.lblEstimateType03.Name = "lblEstimateType03";
+            this.lblEstimateType03.Size = new System.Drawing.Size(120, 20);
+            this.lblEstimateType03.TabIndex = 0;
+            this.lblEstimateType03.Text = "予算取り案件";
+            this.lblEstimateType03.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblEstimateType02
+            // 
+            this.lblEstimateType02.BackColor = System.Drawing.Color.DarkOrange;
+            this.lblEstimateType02.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblEstimateType02.ForeColor = System.Drawing.Color.Black;
+            this.lblEstimateType02.Location = new System.Drawing.Point(134, 7);
+            this.lblEstimateType02.Name = "lblEstimateType02";
+            this.lblEstimateType02.Size = new System.Drawing.Size(120, 20);
+            this.lblEstimateType02.TabIndex = 0;
+            this.lblEstimateType02.Text = "入札案件";
+            this.lblEstimateType02.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // lblEstimateType01
+            // 
+            this.lblEstimateType01.BackColor = System.Drawing.Color.OrangeRed;
+            this.lblEstimateType01.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblEstimateType01.ForeColor = System.Drawing.Color.DarkBlue;
+            this.lblEstimateType01.Location = new System.Drawing.Point(6, 7);
+            this.lblEstimateType01.Name = "lblEstimateType01";
+            this.lblEstimateType01.Size = new System.Drawing.Size(120, 20);
+            this.lblEstimateType01.TabIndex = 0;
+            this.lblEstimateType01.Text = "工事案件";
+            this.lblEstimateType01.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
             // FrmConstructionList
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -506,6 +560,7 @@
             this.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1280, 657);
+            this.Controls.Add(this.pnlExample1);
             this.Controls.Add(this.ProgressBar);
             this.Controls.Add(this.btnDataCopy);
             this.Controls.Add(this.lblProcessTitil);
@@ -530,6 +585,7 @@
             this.groupBox1.PerformLayout();
             ((System.ComponentModel.ISupportInitialize)(this.numUDConstPro)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
+            this.pnlExample1.ResumeLayout(false);
             this.ResumeLayout(false);
 
         }
@@ -566,5 +622,9 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column11;
+        private System.Windows.Forms.Panel pnlExample1;
+        private System.Windows.Forms.Label lblEstimateType03;
+        private System.Windows.Forms.Label lblEstimateType02;
+        private System.Windows.Forms.Label lblEstimateType01;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalDispAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalDispAux.cs	(revision 285)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalDispAux.cs	(revision 286)
@@ -86,36 +86,23 @@
                 ArrayList ReadList = new ArrayList();
                 if (!AppDB.ExecuteReader(strcmd.ToString(), ref ReadList)) return false;
 
-                // 取得データを表示配列へセット
-                ArrayList DispList = new ArrayList();
-                CreateDispArray(ReadList, ref DispList);
+                // 行毎の承認者数を取得する
+                strcmd.Clear();
+                strcmd.Append("Select count(*) As countA From approvalmaster Group by DepartmentCode, ApprovalCode Order by countA desc");
+                ArrayList CntArray = new ArrayList();
+                if (!AppDB.ExecuteReader(strcmd.ToString(), ref CntArray)) return false;
+                object[] objCnt = null;
+                if (CntArray.Count > 0) objCnt = (object[])CntArray[0];
 
-                // 最初に承認者を6人分追加する
-                CreateColumn(6);
+                // 最初に承認者を6人セットする
+                int AppManCnt = 6;
+                if (CntArray.Count > 0 && CommonMotions.cnvInt(objCnt[0]) > AppManCnt) AppManCnt = CommonMotions.cnvInt(objCnt[0]);
 
-                // データ表示
-                int nDepCode = 0;
-                int nAppCode = 0;
-                ArrayList AppRowList = new ArrayList();
-                foreach (object[] objwrk in DispList)
-                {
-                    // 部署が違えば部署名表示
-                    if (nDepCode != CommonMotions.cnvInt(objwrk[(int)DispRecCol.DepartmentCode]))
-                    {
-                        if (nAppCode != 0) SetGridRowData(ref AppRowList);
-                        SetGridDepTitile(objwrk);
-                        nDepCode = CommonMotions.cnvInt(objwrk[0]);
-                        m_nDataNo = 0;
-                        nAppCode = 0;
-                    }
-                    if (nAppCode != CommonMotions.cnvInt(objwrk[(int)DispRecCol.ApprovalCode]))
-                    {
-                        if (nAppCode != 0) SetGridRowData(ref AppRowList);
-                        nAppCode = CommonMotions.cnvInt(objwrk[(int)DispRecCol.ApprovalCode]);
-                    }
+                // 承認者列カラム作成
+                CreateColumn(AppManCnt);
 
-                    AppRowList.Add(objwrk);
-                }
+                // 取得データを表示
+                CreateDispArray(ReadList);
 
                 // タイトル行の色セット
                 GridDepTitileColor();
@@ -140,17 +127,18 @@
         }
         #endregion
 
-        #region 表示データ配列作成
+        #region 表示処理
         /// <summary>
-        /// 表示データ配列作成
+        /// 表示処理
         /// </summary>
         /// <param name="ReadList"></param>
         /// <param name="DispList"></param>
-        private void CreateDispArray(ArrayList ReadList, ref ArrayList DispList)
+        private void CreateDispArray(ArrayList ReadList)
         {
             IOMDepartment DepDB = new IOMDepartment();
             try
             {
+                DataGridView dgv = dgvProcess;
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append(" Where DeleteFlg = 0");
                 strSQL.Append(" Order by DisplayOrder");
@@ -157,50 +145,57 @@
                 List<DepartmentMaster> DepList = new List<DepartmentMaster>();
                 if (!DepDB.SelectAction(strSQL.ToString(), ref DepList)) return;
 
-                int depCode = 0;
-                int appCode = 0;
-                int AddCnt = 0;
+                int DispNo = 0;
+                int AddRowCnt = 0;
+                int AddColCnt = 0;
                 foreach (DepartmentMaster DepRec in DepList)
                 {
+                    // 部署名セット
+                    int RowCnt = dgv.Rows.Add(string.Empty
+                                        , DepRec.DepartmentCode
+                                        , string.Empty
+                                        , string.Format("　{0}", DepRec.DepartmentString)
+                                        );
+                    DispNo = 1;
+
                     foreach (KeyValuePair<int, string> AppList in ClsExcute.AppovalList)
                     {
-                        AddCnt = 0;
-                        foreach (object[] objRec in ReadList)
+                        // 対象データのみ取得
+                        object[] objTergetList = ReadList.Cast<object[]>().Where(x => DepRec.DepartmentCode == CommonMotions.cnvInt(x[(int)DispRecCol.DepartmentCode])
+                                                                                    && AppList.Key == CommonMotions.cnvInt(x[(int)DispRecCol.ApprovalCode]))
+                                                                            .OrderBy(x => CommonMotions.cnvInt(x[(int)DispRecCol.ApprovalCode]))
+                                                                            .OrderByDescending(x => CommonMotions.cnvInt(x[(int)DispRecCol.AppDispOrder]))
+                                                                            .ToArray();
+                        AddRowCnt = -1;
+                        AddColCnt = Enum.GetNames(typeof(GridColumn)).Length;
+                        foreach (object[] objRec in objTergetList)
                         {
-                            depCode = CommonMotions.cnvInt(objRec[(int)DispRecCol.DepartmentCode]);
-                            appCode = CommonMotions.cnvInt(objRec[(int)DispRecCol.ApprovalCode]);
-                            // 部署が違う場合は処理しない
-                            if (DepRec.DepartmentCode != depCode) continue;
-                            // 承認コードが違う場合は処理しない
-                            if (AppList.Key != appCode) continue;
+                            // 1件目だけ承認名称を表示する
+                            if (AddRowCnt < 0)
+                            {
+                                AddRowCnt = dgv.Rows.Add(DispNo,
+                                                            CommonMotions.cnvInt(objRec[(int)DispRecCol.DepartmentCode]),
+                                                            AppList.Key,
+                                                            AppList.Value,
+                                                            CommonMotions.cnvString(objRec[(int)DispRecCol.PersonName]));
+                            }
+                            else
+                            {
+                                // 2件目以降は承認者のみ表示する
+                                dgv.Rows[AddRowCnt].Cells[AddColCnt].Value = CommonMotions.cnvString(objRec[(int)DispRecCol.PersonName]);
+                            }
 
-                            DispList.Add(new object[] { CommonMotions.cnvInt(objRec[(int)DispRecCol.DepartmentCode]),
-                                                        CommonMotions.cnvString(objRec[(int)DispRecCol.DepartmentString]),
-                                                        CommonMotions.cnvInt(objRec[(int)DispRecCol.DepDispOrder]),
-                                                        CommonMotions.cnvInt(objRec[(int)DispRecCol.ApprovalCode]),
-                                                        AppList.Value,
-                                                        CommonMotions.cnvInt(objRec[(int)DispRecCol.ApprovalPerson]),
-                                                        CommonMotions.cnvInt(objRec[(int)DispRecCol.ApprovalAuthority]),
-                                                        CommonMotions.cnvInt(objRec[(int)DispRecCol.AppDispOrder]),
-                                                        CommonMotions.cnvInt(objRec[(int)DispRecCol.PersonCode]),
-                                                        CommonMotions.cnvString(objRec[(int)DispRecCol.PersonName]) });
-
-                            AddCnt++;
+                            // 最終承認者セット
+                            SetAuthorityColor(dgv.Rows[AddRowCnt].Cells[AddColCnt], objRec);
+                            
+                            AddColCnt++;
                         }
                         // データがない場合は承認のみ追加
-                        if (AddCnt == 0)
+                        if (objTergetList.Count() == 0)
                         {
-                            DispList.Add(new object[] { DepRec.DepartmentCode,
-                                                        DepRec.DepartmentString,
-                                                        0,
-                                                        AppList.Key,
-                                                        AppList.Value,
-                                                        0,
-                                                        0,
-                                                        0,
-                                                        0,
-                                                        string.Empty });
+                            dgv.Rows.Add(DispNo, DepRec.DepartmentCode, AppList.Key, AppList.Value);
                         }
+                        DispNo++;
                     }
                 }
             }
@@ -215,22 +210,22 @@
         }
         #endregion
 
-        #region グリッド部署タイトルセット
+        #region 最終承認者色をセルにセットする
         /// <summary>
-        /// グリッド部署タイトルセット
+        /// 最終承認者色をセルにセットする
         /// </summary>
-        /// <param name="objrec"></param>
-        private void SetGridDepTitile(object[] objrec)
+        /// <param name="CurCell"></param>
+        /// <param name="objCurRec"></param>
+        private void SetAuthorityColor(DataGridViewCell CurCell, object[] objCurRec)
         {
             try
             {
-                DataGridView dgv = dgvProcess;
+                // 最終承認者チェック
+                int AppKubun = CommonMotions.cnvInt(objCurRec[(int)DispRecCol.ApprovalAuthority]);
+                if (AppKubun != (int)ApprovalMaster.ApprovalAuthorityDef.LastApproval) return;
 
-                int RowCnt = dgv.Rows.Add(string.Empty
-                                    , CommonMotions.cnvInt(objrec[(int)DispRecCol.DepartmentCode])
-                                    , string.Empty
-                                    , string.Format("　{0}", CommonMotions.cnvString(objrec[(int)DispRecCol.DepartmentString]))
-                                    );
+                // 色セット
+                CurCell.Style.BackColor = s_LastApproval;
             }
             catch (Exception ex)
             {
@@ -271,78 +266,10 @@
         }
         #endregion
 
-        private int m_nDataNo = 0;
-        #region グリッドデータセット
+        #region 承認者列カラム作成
         /// <summary>
-        /// グリッドデータセット
+        /// 承認者列カラム作成
         /// </summary>
-        /// <param name="objrec"></param>
-        private void SetGridRowData(ref ArrayList AppRowList)
-        {
-            try
-            {
-                DataGridView dgv = dgvProcess;
-                int nRowCnt = 0;
-                int nDataCnt = AppRowList.Count;
-                int nColCnt = dgv.ColumnCount;
-                int nColFixCnt = Enum.GetNames(typeof(GridColumn)).Length;
-
-                // 承認者数が現在カラムを越えていれば先に増やしておく
-                if (nColCnt < (nColFixCnt + nDataCnt))
-                {
-                    CreateColumn(nDataCnt);
-                }
-                // 行カウントアップ
-                m_nDataNo++;
-                // 承認者先頭列取得
-                int ApprovalCnt=nColFixCnt;
-
-                int nDepCode = 0;
-                string DepartmentName = string.Empty;
-                int nAppCode = 0;
-                string ApprovalName = string.Empty;
-                int AppPersonCode = 0;
-                int ApprAuthority = -1;
-                string PersonName = string.Empty;
-                foreach (object[] objRec in AppRowList)
-                {
-                    nDepCode = CommonMotions.cnvInt(objRec[(int)DispRecCol.DepartmentCode]);
-                    DepartmentName = string.Format("　{0}",CommonMotions.cnvString(objRec[(int)DispRecCol.DepartmentString]));
-                    nAppCode = CommonMotions.cnvInt(objRec[(int)DispRecCol.ApprovalCode]);
-                    ApprovalName = string.Format("　　{0}",CommonMotions.cnvString(objRec[(int)DispRecCol.ApprovalName]));
-                    AppPersonCode = CommonMotions.cnvInt(objRec[(int)DispRecCol.ApprovalPerson]);
-                    ApprAuthority = CommonMotions.cnvInt(objRec[(int)DispRecCol.ApprovalAuthority]);
-                    PersonName = CommonMotions.cnvString(objRec[(int)DispRecCol.PersonName]);
-
-                    // 1回目は行追加
-                    if (nRowCnt < 1)
-                    {
-                        nRowCnt = dgv.Rows.Add(m_nDataNo
-                                            , nDepCode
-                                            , nAppCode
-                                            , ApprovalName
-                                            );
-                    }
-                    // 承認者セット
-                    dgv.Rows[nRowCnt].Cells[ApprovalCnt].Value = PersonName;
-                    // 最終承認者セット
-                    if (ApprAuthority != 0) dgv.Rows[nRowCnt].Cells[ApprovalCnt].Style.BackColor = s_LastApproval;
-                    
-                    ApprovalCnt++;
-                }
-                AppRowList.Clear();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
-        #region 列カラム作成
-        /// <summary>
-        /// 列カラム作成
-        /// </summary>
         private void CreateColumn(int NewCnt)
         {
             try
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs	(revision 285)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs	(revision 286)
@@ -502,8 +502,10 @@
                     AppRec.SeqNo = ++iDataCnt;
                     AppRec.DisplayOrder = iDataCnt;
                     AppRec.ApprovalPerson = CommonMotions.cnvInt(dgvGridData[(int)DispGridApproval.PersonCode, i].Value);
-                    AppRec.ApprovalAuthority = 0;
-                    if ((bool)dgvGridData[(int)DispGridApproval.Check, i].Value) AppRec.ApprovalAuthority = 1;
+                    
+                    AppRec.ApprovalAuthority = (int)ApprovalMaster.ApprovalAuthorityDef.Normal;
+                    if ((bool)dgvGridData[(int)DispGridApproval.Check, i].Value)
+                        AppRec.ApprovalAuthority = (int)ApprovalMaster.ApprovalAuthorityDef.LastApproval;
 
                     if(!AppMDB.InsertAction(AppRec, false)) return false;
                 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 285)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.cs	(revision 286)
@@ -1193,16 +1193,16 @@
                     }
                     switch (work.CheckSchdule)
                     {
-                        case 0:
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule0:
                             wrkValue3 = rdB101.Text;
                             break;
-                        case 1:
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule1:
                             wrkValue3 = rdB102.Text;
                             break;
-                        case 2:
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule2:
                             wrkValue3 = rdB103.Text;
                             break;
-                        case 3:
+                        case (int)TermMaster.TermDateCheckTimingDef.CheckSchdule3:
                             wrkValue3 = rdB104.Text;
                             break;
                     }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.designer.cs	(revision 285)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Term/FrmTerm.designer.cs	(revision 286)
@@ -288,7 +288,7 @@
             this.panel1.ForeColor = System.Drawing.Color.Black;
             this.panel1.Location = new System.Drawing.Point(153, 63);
             this.panel1.Name = "panel1";
-            this.panel1.Size = new System.Drawing.Size(440, 24);
+            this.panel1.Size = new System.Drawing.Size(460, 24);
             this.panel1.TabIndex = 29;
             // 
             // rdB104
@@ -295,12 +295,12 @@
             // 
             this.rdB104.AutoSize = true;
             this.rdB104.ForeColor = System.Drawing.Color.Black;
-            this.rdB104.Location = new System.Drawing.Point(310, 4);
+            this.rdB104.Location = new System.Drawing.Point(310, 3);
             this.rdB104.Name = "rdB104";
-            this.rdB104.Size = new System.Drawing.Size(128, 20);
+            this.rdB104.Size = new System.Drawing.Size(145, 20);
             this.rdB104.TabIndex = 0;
             this.rdB104.TabStop = true;
-            this.rdB104.Text = "後日以降継続";
+            this.rdB104.Text = "経過日以降継続";
             this.rdB104.UseVisualStyleBackColor = true;
             this.rdB104.CheckedChanged += new System.EventHandler(this.RadioButton_CheckedChanged);
             // 
@@ -313,7 +313,7 @@
             this.rdB103.Size = new System.Drawing.Size(94, 20);
             this.rdB103.TabIndex = 0;
             this.rdB103.TabStop = true;
-            this.rdB103.Text = "後日以降";
+            this.rdB103.Text = "経過当日";
             this.rdB103.UseVisualStyleBackColor = true;
             this.rdB103.CheckedChanged += new System.EventHandler(this.RadioButton_CheckedChanged);
             // 
Index: branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 285)
+++ branches/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 286)
@@ -32,7 +32,7 @@
 // すべての値を指定するか、下のように '*' を使ってビルドおよびリビジョン番号を 
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("1.0.0.95")]
-[assembly: AssemblyFileVersion("1.0.0.95")]
+[assembly: AssemblyVersion("1.0.0.97")]
+[assembly: AssemblyFileVersion("1.0.0.97")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file